<?php

namespace App\Doctrine\Type;

use App\Entity\Identifier\SignalId;
use Symfony\Bridge\Doctrine\Types\AbstractUidType;

final class SignalIdType extends AbstractUidType
{
    public function getName(): string
    {
        return self::class;
    }

    protected function getUidClass(): string
    {
        return SignalId::class;
    }
}
